Link Checker
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Link Checker action in the pipeline
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
POST PARAMETERS
typerequiredstring enum
The type of the actionAllowed enum:
LINK_CHECKERurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksafter_action_idinteger
The numerical ID of the action, after which this action should be addednamerequiredstring
The name of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The git revision of the last successful run of the actionpermissionsPermissionsView
Access permissions configurationcache_base_imageboolean
Defines whether to cache the base Docker imagescan_urlrequiredstring
The address of the site to be checked by the validator.ba_usernamestring
The basic auth username value.ba_passwordstring
The basic auth password value.max_resultsinteger
The maximum number of results to returncookiesCookieView[]
Set the cookie name/value. Can be given more than once.threadsinteger
Generate no more than the given number of threads. The default number of threads is 10. To disable threading specify a non-positive number.depthinteger
Check recursively all links up to the given depth. A negative depth will enable infinite recursion. The default depth is infinite.connection_timeoutinteger
Set the timeout for connection attempts in seconds. The default timeout is 60 seconds.user_agentstring
Specify the User-Agent string to send to the HTTP server, for example Mozilla/4.0. The default is LinkChecker/X.Y where X.Y is the current version of LinkChecker.requests_per_hostinteger
Limit the maximum number of HTTP requests per second to one host. The average number of requests per second is approximately one third of the maximum. Values less than 1 and at least 0.001 can be used. To use values greater than 10, the HTTP server must return a "LinkChecker" response header. The default is 10.respect_robot_exclusionsboolean
When using HTTP, fetch robots.txt, and confirm whether each URL should be accessed before checking. The default is to use robots.txt files.check_ssl_certificateboolean
If set to zero, it disables the SSL certificate checking. If set to one, it enables the SSL certificate checking with the provided CA certificate file. If a filename is specified, it will be used as the certificate file.internal_linksstring
The regular expression to add more URLs recognized as internal links. The default is that URLs given on the command line are internal.check_external_linksboolean
Check external links. The default is to check internal links only.ignore_urlsstring[]
Only check the syntax of URLs matching the given regular expressions.no_follow_urlsstring[]
Check but do not recurse into URLs matching the given regular expressions.warning_regexstring
Only check syntax of URLs matching the given regular expressions.html_form_auth_username_input_namestring
The name attribute of the username input element.html_form_auth_password_input_namestring
The name attribute of the password input element.html_form_auth_usernamestring
The HTML form username value.html_form_auth_passwordstring
The HTML form password value.html_form_auth_urlstring
The URL of a login page to be visited before link checking. The page is expected to contain an HTML form to collect credentials and submit them to the address in its action attribute using an HTTP POST request.Response
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
LINK_CHECKERurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopcache_base_imageboolean
Defines whether to cache the base Docker imagescan_urlstring
The address of the site to be checked by the validator.ba_usernamestring
The basic auth username value.ba_passwordstring
The basic auth password value.max_resultsinteger
The maximum number of results to returncookiesCookieView[]
Set the cookie name/value. Can be given more than once.threadsinteger
Generate no more than the given number of threads. The default number of threads is 10. To disable threading specify a non-positive number.depthinteger
Check recursively all links up to the given depth. A negative depth will enable infinite recursion. The default depth is infinite.connection_timeoutinteger
Set the timeout for connection attempts in seconds. The default timeout is 60 seconds.user_agentstring
Specify the User-Agent string to send to the HTTP server, for example Mozilla/4.0. The default is LinkChecker/X.Y where X.Y is the current version of LinkChecker.requests_per_hostinteger
Limit the maximum number of HTTP requests per second to one host. The average number of requests per second is approximately one third of the maximum. Values less than 1 and at least 0.001 can be used. To use values greater than 10, the HTTP server must return a "LinkChecker" response header. The default is 10.respect_robot_exclusionsboolean
When using HTTP, fetch robots.txt, and confirm whether each URL should be accessed before checking. The default is to use robots.txt files.check_ssl_certificateboolean
If set to zero, it disables the SSL certificate checking. If set to one, it enables the SSL certificate checking with the provided CA certificate file. If a filename is specified, it will be used as the certificate file.internal_linksstring
The regular expression to add more URLs recognized as internal links. The default is that URLs given on the command line are internal.check_external_linksboolean
Check external links. The default is to check internal links only.ignore_urlsstring[]
Only check the syntax of URLs matching the given regular expressions.no_follow_urlsstring[]
Check but do not recurse into URLs matching the given regular expressions.warning_regexstring
Only check syntax of URLs matching the given regular expressions.html_form_auth_username_input_namestring
The name attribute of the username input element.html_form_auth_password_input_namestring
The name attribute of the password input element.html_form_auth_usernamestring
The HTML form username value.html_form_auth_passwordstring
The HTML form password value.html_form_auth_urlstring
The URL of a login page to be visited before link checking. The page is expected to contain an HTML form to collect credentials and submit them to the address in its action attribute using an HTTP POST request.Last modified on Mar 18, 2026
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Link checker",
"type": "LINK_CHECKER",
"trigger_time": "ON_EVERY_EXECUTION",
"ba_username": "basicAuthUsername",
"ba_password": "secure!ucaApNnkABxsQuyAQJ4sXQ==.QPJaybamhxXg2j9ICwoSKw==",
"html_form_auth_username": "htmlFormAuthUsername",
"html_form_auth_password": "secure!ucaApNnkABxsQuyAQJ4sXQ==.QPJaybamhxXg2j9ICwoSKw==",
"html_form_auth_username_input_name": "htmlFormAuthUsernameInput",
"html_form_auth_password_input_name": "htmlFormAuthPasswordInput",
"html_form_auth_url": "https://linktocheck.com",
"depth": 1,
"scan_url": "https://linktocheck.com",
"cookies": [
{
"name": "header",
"value": "value"
}
],
"threads": 5,
"connection_timeout": 11,
"requests_per_host": 5,
"respect_robot_exclusions": false,
"check_ssl_certificate": true,
"internal_links": "Scan_url/*",
"check_external_links": true,
"ignore_urls": [
"https://example.com/.*"
],
"no_follow_urls": [
"https://example.com/.*"
],
"warning_regex": "(This page has moved|Oracle Application error)"
}'STATUS200 OK